\begin{frame}
    \frametitle{A distributed system}

    \begin{block}{Definition}
        A distributed system is a group of \textbf{actors} able to comunicate \textbf{each-other} working together to \textbf{complete a common task}.
    \end{block}
    
    % Schéma d'un système distribué

    The system we consider on this presentation is a \textbf{asynchronous message-passing} system.

\end{frame}

\begin{frame}
    \frametitle{A distributed system is a living system}

    A distributed system changes over time.

    There's some way to study these changes :
    \begin{itemize}
        \item focus on the \textbf{churn} (node addition and removal).
        \item focus on the \textbf{messages}.
        \item focus on the \textbf{connectedness}.
        \item focus on the \textbf{states}. $\Leftarrow$
        \item probably more... ?
    \end{itemize}

    The study of the state changes is also called the study of \textbf{consistency}.

    \textbf{A small exemple}: A peer-to-peer discussion

\end{frame}